import {Table} from "semantic-ui-react";
import React from "react";
import Item from "./Item/Item";

const ArticlesPageTable = ({articles}) => {
    return <div>
        <Table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Title</th>
                    <th>Body</th>
                    <th>Author</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                {articles.map(article => <Item article={article} key={article.id}/>)}
            </tbody>
        </Table>
    </div>;
};

export default ArticlesPageTable;
